package dev.fyloz.trial.colorrecipesexplorer.exception.model;

import dev.fyloz.trial.colorrecipesexplorer.model.Model;

public class NullIdentifierException extends ModelException {

    public NullIdentifierException(Class<? extends Model> type) {
        super(type);
    }

    @Override
    public String getMessage() {
        return String.format("Un modèle de type '%s' avait un identifiant nécessaire null", type.getSimpleName());
    }
}
